<?php  
session_start(); 
if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}

	include("connect.php");	header("Access-Control-Allow-Origin: *");
	
	$eve = "select * from res_invoice_master";
	$re = mysqli_query($conn, $eve);	
	
	$response = array();
	$posts = array();
	
	$result="0";
	
	if(mysqli_num_rows($re) > 0)
	{
		$i=1;
		 while($rt = mysqli_fetch_assoc($re))
		 {
			 
				$invoicemid=$rt['invoicemid'];
				$pidedit='';
				$currentfile1 = basename($_SERVER['PHP_SELF']);
				 $currentfile = ltrim($currentfile1, 'json');
											$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and maedit=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				$pidedit="<a href='invoiceedit.php?id=".$rt['invoicemid']."' data-toggle='tooltip' data-placement='top' title='Edit' class='fa fa-edit fa-lg'>  </a>";
				}
				
				$piddelete='';
				$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and madelete=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				
					}else{
				
				$piddelete="<a href='invoicedelete.php?id=".$rt['invoicemid']."'onclick='return confirm(&#39;Are you sure you want to delete ?&#39;);' data-toggle='tooltip' data-placement='top' title='Delete' class='far fa-trash-alt fa-lg'>  </a>";
					
					}				
                $op=$pidedit."&nbsp;&nbsp;&nbsp; ".$piddelete;
								
								
				$invoiceno=$rt['invoiceno'];
				$invoicetotalamount=$rt['invoicetotalamount'];
				$campusmid=$rt['campusmid'];
				
				$invoice = "Invoice - ".$invoiceno;
				$eve22 = "select campusname,cmname,countryname from res_collegecampus_master,res_college_master,res_country_master where res_collegecampus_master.collegemid = res_college_master.collegemid and res_college_master.countrymid = res_country_master.countrymid and res_collegecampus_master.ccampusmid = $campusmid";
											$re22 = mysqli_query($conn, $eve22);
											while($rt22 = mysqli_fetch_assoc($re22))
										{
											$campusname = $rt22['campusname'];
											$cmname = $rt22['cmname'];
											$countryname = $rt22['countryname'];
										}
										
										$campus = $campusname." - ".$cmname." - ".$countryname;
										
										
				$invoicecurrency=$rt['invoicecurrency'];
				$invoicedate=date("d-m-Y",strtotime($rt['invoicedate']));
			
				
				$invoiceview = " <a href='download/$invoicemid.pdf' target='_blank'>View</a>";
				
								
				$posts[] = array('srno'=> $i++,'invoice'=> $invoice, 'campus'=> $campus, 'invoicedate'=> $invoicedate, 'invoicetotalamount'=> $invoicetotalamount, 'invoicecurrency'=> $invoicecurrency, 'invoiceview'=> $invoiceview);
		 }
		 
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('data' => $posts)));
		mysqli_close($conn);
		return;
	}
	
   else
   {
		$result="0";
		$msg="Invalid Error";
		
		$posts[] = array('p1'=> $result,'p2'=> $msg);
	
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('item' => $posts)));
   }   
	mysqli_close($conn);	
	
?>